Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.service.impl
Class XATransactionCommand

    java.lang.Object
      org.codehaus.activemq.service.impl.AbstractTransaction
          org.codehaus.activemq.service.impl.XATransactionCommand

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable, Transaction

public class XATransactionCommand
extends AbstractTransaction

Version:
  $Revision: 1.3 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.codehaus.activemq.service.impl.AbstractTransaction
`FINISHED_STATE, IN_USE_STATE, PREPARED_STATE, START_STATE`

Constructor Summary
`XATransactionCommand()` This constructor is only used when deserializing from disk
`XATransactionCommand(Broker broker, ActiveMQXid xid, java.util.Map xaTxs, PreparedTransactionStore preparedTransactions)`

Method Summary
`void` | `commit(boolean onePhase)`
`static Transaction` | `fromBytes(byte[] data)`
`void` | `initialise(java.util.Map xaTxs, PreparedTransactionStore preparedTransactions)` Called after the transaction command has been recovered from disk
`int` | `prepare()`
`void` | `readExternal(java.io.ObjectInput in)`
`void` | `rollback()`
`byte[]` | `toBytes()`
`void` | `writeExternal(java.io.ObjectOutput out)`

Methods inherited from class org.codehaus.activemq.service.impl.AbstractTransaction
`addPostCommitTask, addPostRollbackTask, addPrePrepareTask, getBroker, getState, postCommit, postRollback, prePrepare, readTask, readTaskList, setBroker, setState, toString, writeTask, writeTaskList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XATransactionCommand

    public XATransactionCommand()

  This constructor is only used when deserializing from disk

### XATransactionCommand

    public XATransactionCommand(Broker broker,
                                ActiveMQXid xid,
                                java.util.Map xaTxs,
                                PreparedTransactionStore preparedTransactions)

Method Detail

### initialise

    public void initialise(java.util.Map xaTxs,
                           PreparedTransactionStore preparedTransactions)

  Called after the transaction command has been recovered from disk

  Parameters:
    `xaTxs` -
    `preparedTransactions` -

### commit

    public void commit(boolean onePhase)
                throws XAException

  Throws:
    `XAException`

### rollback

    public void rollback()
                  throws XAException

  Throws:
    `XAException`

### prepare

    public int prepare()
                throws XAException

  Throws:
    `XAException`

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Specified by:
    `readExternal` in interface `java.io.Externalizable`
  Overrides:
    `readExternal` in class `AbstractTransaction`
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`
  Overrides:
    `writeExternal` in class `AbstractTransaction`
  Throws:
    `java.io.IOException`

### fromBytes

    public static Transaction fromBytes(byte[] data)
                                 throws java.io.IOException,
                                        java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### toBytes

    public byte[] toBytes()
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.